Mon Jan 22 23:14:56 2007  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO version 0.5.5 released.

Thu Jan 18 17:49:00 UTC 2007    Gan Deng <gan.deng@vanderbilt.edu>

        * docs/index.html:
        
          Fixed broken links to doxygen.

Wed Jan 10 21:35:25 UTC 2007  Jeff Parsons <j.parsons@vanderbilt.edu>

        * NEWS:

          Updated with my changes since 0.5.4.

Tue Jan  8 20:01:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * RACE/common/RACE_common.idl:
          Use the CORBA::StringSeq to reduce footprint

Tue Jan  8 19:43:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_CCMException.idl:
        * ciao/CCM_Context.idl:
          Added some commented out IDL that is part of the QoS4CCM spec

Sun Jan  7 18:44:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/URL_Parser.cpp:
          No need to set members to 0 in destructor

        * DAnCE/RepositoryManager/URL_Parser.cpp:
          Fixed conversion warning and memory leak

Sun Jan  7 12:14:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_ClientContainerInterceptor.idl:
        * ciao/CCM_ClientContainerInterceptorRegistration.idl:
        * ciao/CCM_ContainerClientRequestInfo.idl:
        * ciao/CCM_ContainerInterceptor.idl:
        * ciao/CCM_ContainerRequestInfo.idl:
        * ciao/CCM_ContainerServantRequestInfo.idl:
        * ciao/CCM_ContainerServerRequestInfo.idl:
        * ciao/CCM_ContainerStubRequestInfo.idl:
        * ciao/CCM_ExtensionComponent.idl:
        * ciao/CCM_ExtensionContext.idl:
        * ciao/CCM_InvalidRegistration.idl:
        * ciao/CCM_QoS.idl:
        * ciao/CCM_ServantContainerInterceptor.idl:
        * ciao/CCM_ServantContainerInterceptorRegistration.idl:
        * ciao/CCM_ServerContainerInterceptor.idl:
        * ciao/CCM_ServerContainerInterceptorRegistration.idl:
        * ciao/CCM_StubContainerInterceptor.idl:
        * ciao/CCM_StubContainerInterceptorRegistration.idl:
          Added interfaces from QoS for CCM spec (OMG 06-04-15). We
          don't have an implementation yet, just the interfaces at
          this moment

Fri Jan  5 12:14:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RepositoryManager.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
          Fixed conversion warnings

        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/URL_Parser.cpp:
          Improved layout and documentation

Wed Jan  3 19:32:05 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * CIAO_TAO_DAnCE.mwc:

          Added $(ACE_ROOT)/contrib/minizip since the RepositoryManager can
          use minizip if the zlib feature is enabled.

Wed Jan  3 07:01:12 UTC 2007  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RepositoryManager.cpp:
          Fixed conversion warnings

        * DAnCE/RepositoryManager/URL_Parser.cpp:
          Initialise pointer with 0

Wed Jan  3 16:18:36 UTC 2007  Chad Elliott  <elliott_c@ociweb.com>

        * tools/IDL3_to_IDL2/IDL3_to_IDL2.mpc:

          Use the install base project instead of the deprecated core base
          project.

Thu Dec 28 12:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
          Doxygen improvements

Mon Dec 25 16:19:42 UTC 2006  Douglas C. Schmidt  <schmidt@dre.vanderbilt.edu>

        * Merry Christmas everyone!!!

Wed Dec 20 06:37:27 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * MPC/config/ciao_rtevent_dnc.mpb:
        * MPC/config/ciao_events_dnc.mpb:
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:
        * ciao/CCM_Core.mpc:

          Fixed linking errors on OS X.

Wed Dec 13 08:35:48 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.cpp:

          Fixed warnings on NoInterceptors_Core build related to
          type conversion.

Wed Dec 13 07:57:02 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.cpp:

          Fixed a fuzz error.

Wed Dec 13 07:29:10 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp:

          Fixed Debian_GCC_4.0 compilation error by removing
          unnecessary common for enum definition.

Wed Dec 13 07:19:13 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.h:

          Fixed a compilation error in Win2003_VC71_Versioned_Namespace
          build by removing the unnecessary declaration.

Wed Dec 13 06:45:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Swapping/Sender/Sender_exec.h:
          Fixed include because of file name changes

Tue Dec 12 20:55:02 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.cpp:
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.h:

          Modified the ciao_push_event() in this base class to fix
          BCC warnings.

Tue Dec 12 20:21:03 UTC 2006    Gan Deng <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.h:
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp:

          Fixed the fuzz errors.

Tue Dec 12 20:15:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Component.idl:
        * ciao/CCM_Core.mpc:
        * ciao/CCM_EventBase.idl:
        * ciao/CCM_EventConsumerBase.idl:
        * ciao/CCM_HomeConfiguration.idl:
        * ciao/CCM_HomeConfigurator.idl:
        * ciao/CCM_Object.idl:
        * ciao/CCM_PrimaryKeyBase.idl:
        * ciao/CCM_SessionComponent.idl:
        * ciao/CCM_StateIdFactory.idl:
        * ciao/Servant_Impl_Base.h:
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events.idl:
        * DAnCE/TargetManager/DomainEvents.idl:
          Added remarks about compliance and another set of splitting
          idl files in smaller ones

        * ciao/CCM_Event.idl:
        * ciao/CCM_Events.idl:
          Renamed Event to Events

        * ciao/CCM_HomeConfigurator.idl:
        * ciao/CCM_HomeConfiguration.idl:
          Renamed Configurator to Configuration

Tue Dec 12 14:48:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Base.idl:
        * ciao/CCM_CCM2Context.idl:
        * ciao/CCM_ComponentId.idl:
        * ciao/CCM_Configurator.idl:
        * ciao/CCM_Container.idl:
        * ciao/CCM_Container_Ex.idl:
        * ciao/CCM_Core.mpc:
        * ciao/CCM_Entity2Context.idl:
        * ciao/CCM_Event.idl:
        * ciao/CCM_ExecutorLocator.idl:
        * ciao/CCM_HomeConfigurator.idl:
        * ciao/CCM_SessionComponent.idl:
        * ciao/CCM_SessionContext.idl:
        * ciao/CCM_StandardConfigurator.idl:
        * ciao/CCM_StateIdFactory.idl:
        * ciao/Deployment_NodeApplication.idl:
          Moved more interfaces to their own file

        * DAnCE/DomainApplicationManager/Deployment_Configuration.h:
          Removed virtual keywords, not needed

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Const changes and improved some messages

        * DAnCE/Plan_Generator/PCVisitor.h:
        * DAnCE/Plan_Generator/PCVisitorBase.h:
          Doxygen changes

        * tools/Config_Handlers/DynAny_Handler.mpc:
          layout changes

Tue Dec 12 10:08:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/taoidl3toidl2defaults.mpb:
          Moved from TAO to here

Mon Dec  11 20:55:39 UTC 2006  Gan Deng <gan.deng@vanderbilt.edu>

        * ciao/CCM_Event.idl:

          Modified the "ciao_push_event" operation to pass in "source_id",
          which is used to identify the sources of the publisher ports to
          support event filtering mechanism.

        * ciao/Deployment_Events.idl:

          Added new IDL definitions to support RTEC federation, such as
          AddrServer, UDPSender, UPDReceiver, etc.

        * ciao/Deployment_NodeApplication.idl:

          Modified the "install_es" operation to install one service object
          per invocation, instead of a sequence of objects.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:

          Modified to accomodate the changes made above by adding only
          one ciao event service object reference to the map.

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events.idl:

          Removed the inheritance relationship between Consumer_Config and
          Supplier_Config object. The reason why it was there is because
          of a tightly coupled design long time ago.

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.cpp:
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.h:

          Added a virtual function "ciao_push_event" and provides a
          default implementation, which is essentially a no_op impl.

        * ciaosvcs/Events/CIAO_EventService_Factory_impl.cpp:
        * ciaosvcs/Events/CIAO_EventService_Factory_impl.h:

          Modified the factory method "create" by passing in the
          string identifier for the service object.

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.idl:

          Added new operations to create gateways object to support
          event channel federations.

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp:
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.h:
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.mpc:
        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.cpp:
        * ciaosvcs/Events/CIAO_RTEC/SimpleAddressServer.h:

          Added the implementation and MPC files to support event
          channel federations in CIAO_Event_Service.

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Automatically generate the implementation code of
          ciao_push_event for component in the servant code.

        * DAnCE/NodeApplication/NodeApplication.cpp:

          Explicitly add the init_svcs() operation to the
          NA component server implementation. We should figure
          out a way to see whether we can avoid doing this at
          this level.

        * DAnCE/NodeManager/Node_Manager.cpp:

          Enhanced NM to pass in service configuration file explicitly.
          Also fixed a bug about controlling ORBDebugLevel.

        * docs/schema/CIAOEvents.xsd:

          Enhanced the CIAOEvents schema to support event channel
          federation configuration.

        * tools/Config_Handlers/CIAO_Events/CIAOEvents.cpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp:
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.cpp:

          Config handlers enhancement to support the above
          schema changes.

        * DAnCE/tests/NodeApplicationTest/run_test.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl:

          Modified to use environment variables instead of relative paths.

        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/Receiver/Receiver_exec.cpp:

          Modified to explicitly print out the contents of the received msgs.

        * examples/Hello/descriptors_events/ciao-events-example-collocated.ced:
        * examples/Hello/descriptors_events/ciao-events-example-with-federation.ced:
        * examples/Hello/descriptors_events/ciao-events-example-with-filters.ced:
        * examples/Hello/descriptors_events/ciao-events-example.ced:
        * examples/Hello/descriptors_events/ciao-events-federation-mcast.ced:
        * examples/Hello/descriptors_events/ciao-events-federation-udp-collocated.ced:
        * examples/Hello/descriptors_events/ciao-events-federation-udp-two-hosts.ced:
        * examples/Hello/descriptors_events/ciao-events-federation-udp.ced:
        * examples/Hello/descriptors_events/flattened_deploymentplan_events.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_events_collocated.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_mcast.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp_collocated.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_federation_udp_two_hosts.cdp:
        * examples/Hello/descriptors_events/flattened_deploymentplan_with_filters.cdp:
        * examples/Hello/descriptors_events/NodeManagerMap.dat:
        * examples/Hello/descriptors_events/NodeManagerMapTwoHosts.dat:
        * examples/Hello/descriptors_events/rtec.conf:
        * examples/Hello/descriptors_events/run_NodeDaemons.pl:
        * examples/Hello/descriptors_events/run_NodeDaemons_svc_conf.pl:
        * examples/Hello/descriptors_events/run_NodeDaemons_with_ip.pl:

          Added a bunch of test cases for CIAO Event Service.

Fri Dec  8 22:59:14 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/tools.mwc:

          Added IDL3_to_IDL2 directory to the list.

Fri Dec  8 000:09:04 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/generate_component_mpc.pl:

          Another typo found by Abdullah Sowayan <abdullah.sowayan@lmco.com>.

Thu Dec  7 20:22:57 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/generate_component_mpc.pl:

          Fixed bug that omits necessary space between items in 'after'
          line, if it contains more than one item. Thanks to Abdullah
          Sowayan <abdullah.sowayan@lmco.com> for reporting the bug.

Thu Dec  7 19:15:04 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/generate_component_mpc.pl:

          Fixed typo, had 'ciao_server_dnc', should have been
          'ciao_servant_dnc'. Thanks to Abdullah Sowayan
          <abdullah.sowayan@lmco.com> for reporting the mistake.

Thu Dec  7 19:04:38 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler.mpc:

          Removed taolib and anytypecode base projects, since they are
          already pulled in by typecodefactory.

Thu Dec  7 13:47:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/Deployment_Configuration (init):
          Use ACE_Read_Buffer to read the file and parse it contents. This way
          we are independent of a fixed buffer length, especially on systems
          with multiple network cards and IPv6 enabled the IORs can get huge.

Thu Dec  7 11:48:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
        * MPC/config/ciao_server_dnc.mpb:
          Don't build DnC server with minimum corba and CORBA/e, this was
          disabled in the past implicitly because we used security as
          MPC base project but because that has been removed we now
          have to explicitly disable this project

Thu Dec  7 11:34:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Generator/Plan_Generator_Impl.cpp:
          Added some todo's, check whether the narrow on the NamingContext
          did succeed, use CORBA::ULong for the sequence index

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
          Use a CORBA::String_var to store the uuid string

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
          Added some todo's, check whether the narrow on the NamingContext
          did succeed, layout changes, fixed bugzilla bug 2729, thanks to Abdul
          for reporting that.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:
          Doxygen improvements

Wed Dec  6 11:26:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CIAO_ServerResources.idl:
        * ciao/Deployment_NodeApplicationManager.idl:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeManager/MonitorCB.h:
        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/TargetManager/DomainDataManager.h:
        * tools/Config_Handlers/DD_Handler.h:
          Doxygen documentation updates

        * MPC/config/ciao_container_dnc.mpb:
        * ciao/CCM_Core.mpc:
          Added avoids_corba_e_compact as base project

Tue Dec  5 11:45:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
        * MPC/config/ciao_container_dnc.mpb:
          Don't build Dnc_Container with corba/e compact has been enabled

        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc:
          Simplified this MPC file

Mon Dec  4 12:14:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/*:
          All CIAO base projects are moved from
          ACE_wrappers/bin/MakeProjectCreator/config to this directory

Mon Dec  4 12:35:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/TM_Client.mpc:
          Simplified this file using more base projects

Mon Dec  4 12:29:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/DomainDataManager.h:
          Documentation changes

        * DAnCE/TargetManager/TargetManager.mpc:
          Simplified this file using more base projects

Mon Dec  4 12:24:57 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC
        * MPC/config
          New directory for the base projects specifically for CIAO

Mon Dec  4 12:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
          Use include from CIAO_ROOT and removed using namespace

        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc:
          Simplified this file

Mon Dec  4 11:41:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
          Simplified by using the base projects

Mon Dec  4 11:37:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

          Converted the NodeApplication into a library and build
          an exe using this library. Will prevent duplicate compilation
          of part of the code. Fixes bugzilla bug 2739.

        * DAnCE/NodeApplication/CIAO_NodeApplication_export.h:
          New export file:

        * DAnCE/NodeApplication/Configurator_Factory.h:
        * DAnCE/NodeApplication/Container_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Core.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.h:
          Added export macro to export the class from the new NodeApplication
          library.

        * DAnCE/NodeApplication/NodeApplication.mpc:
          Added new library project and use this in the executable.

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
          Use the new NodeApplication library and the new base projects
          I added for CIAO

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.{h,cpp,inl}:
          Moved destructor from inline to cpp method and small code improvements

        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc:
          Simplified by using the new base projects

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Small improvements

Mon Dec  4 07:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO-INSTALL.html:
          Updated build instructions

        * ciao/Dynamic_Component_Activator.cpp:
          Removed not needed return statements in a void method

        * ciao/Dynamic_Component_Activator.h:
          Changed guard in file to match filename

        * ciao/Home_Servant_Impl_T.cpp:
          Layout changes

        * ciao/Port_Activator.{h,cpp}:
          The name methods did really change oid, so renamed name
          to oid and added a new name method to return the name
          member

        * ciao/Servant_Activator.cpp:
          Const changes and updated for Port Activator changes

        * ciao/Servant_Impl_Base.cpp:
          Small code improvements

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Const changes

        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          Throw NO_MEMORY when allocation fails

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
          Throw BAD_PARAM when an incorrect method parameter has been passed

        * DAnCE/NodeManager/BaseMonitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.h:
        * DAnCE/NodeManager/NodeManager_Impl.h:
          Doxygen changes

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Fixed a comment

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:
          Use true/false for bool

        * DAnCE/TargetManager/DomainDataManager.cpp:
          Layout changes

        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Removed not needed includes, made messages dependent
          on the debug level, added missing duplicate

        * DAnCE/TargetManager/TargetManager_exec.h:
          Don't use std:: for auto_ptr

        * DAnCE/TargetManager/TargetManagerExt.idl:
          Removed commented out include

        * DAnCE/TargetManager/TargetManagerImpl.idl:
          Removed empty lines

        * DAnCE/tests/NodeApplicationTest/run_test.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl:
        * DAnCE/tests/scripts/BasicSP/basicNodeDaemon.pl:
        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl:
        * examples/Display/descriptors/basicNodeDaemon.pl:
        * examples/Display/descriptors/run_NodeDaemons.pl:
        * examples/Hello/descriptors/run_NodeDaemons.pl:
          Use $ACE_ROOT/bin with use lib. This fixes bugzilla bug 2737,
          thanks for Abdul for reporting this.

        * docs/tutorials/Quoter/Simple/01.html:
          Update from Abdul

Fri Dec  1 16:27:34 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * bin/generate_component_mpc.pl:

          Fixed generation of export files. Thanks to Abdullah
          Sowayan <abdullah.sowayan@lmco.com> for reporting
          the problem.

Fri Dec  1 13:39:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/CoSMIC/index.html:
        * docs/tutorials/Quoter/Simple/index.html:
          Updated download location of ACE/TAO/CIAO

Fri Dec  1 11:26:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:
          Fixed invalid check whether we have a nil POA or not

Fri Dec  1 11:17:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/Deployment_Configuration.{h,cpp}:
          Removed these files, not used in the mpc file

        * DAnCE/DomainApplicationManager/Deployment_Configuration.{h,cpp}:
          Close the file handle, part of the fix for bugzilla bug 2733

        * DAnCE/TargetManager/DomainDataManager.{h,cpp}:
          Const changes, sequences have a CORBA::ULong as length, not int.
          Added some todo's and use a little bit more ACE

        * DAnCE/TargetManager/TargetManager.cidl:
          Removed empty line

        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Fixed memory management and the way we check for a nil
          reference

Fri Dec  1 09:01:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_component_mpc.pl:
          Layout improvements, thanks to Abdul for making this
          update.

Thu Nov 30 12:45:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:
          Removed not needed ACE_TRY_CHECK

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
          Const improvement

        * DAnCE/RepositoryManager/RepositoryManager.cpp:
          Initialise pointer with 0, removed code after return
          added added a todo

        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
          Doxygen improvement

        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:
          Lot of layout changes to make the code a little bit more
          readable, more has to be done to this file

        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
          Doyxgen improvements and removed not needed include

        * DAnCE/TargetManager/CmpClient.cpp:
          Use true/false for a bool

        * DAnCE/TargetManager/Deployment_Configuration.cpp:
          Use bool and use 0 instead of NULL

        * DAnCE/TargetManager/DomainDataManager.h:
          Doxygen changes

        * DAnCE/TargetManager/DomainEvents.idl:
          Removed not needed include

        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Layout changes

        * DAnCE/TargetManager/TM_Client.mpc:
          Removed not needed includes

Wed Nov 29 21:26:53 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/generate_component_mpc.html:

          New file, documentation for the Perl script
          generate_component_mpc.pl, in CIAO_ROOT/bin.

        * bin/generate_component_mpc.pl:

          Changes mainly to correct problems with MPC files
          generated for non-component builds, i.e., from some IDL
          file used in common by multiple component builds, such
          as the definition of a port interface. Also made changes
          and added a new command line option to help minimize the
          amount of code generated from IDL and minimize the
          dependencies of the generated makefile or project.

Wed Nov 29 15:43:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
          Don't use plain new, fixes bugzilla bug 2732. Thanks to Abdul
          for reporting this

Wed Nov 29 12:48:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/*.idl:
          Added ciao/ as prefix to the include path. This way it is clear
          where we are including a file from.

Tue Nov 28 21:38:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RTNodeApplication:
          Zapped, not used anymore

Tue Nov 28 19:33:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment_DomainApplicationManager.idl:
          Added comments about more details which are not compliant according
          to the spec

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
          Use native bool instead of int

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
          Reordered includes and improved doxygen documentation

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp:
          Const changes, use ACE_ERROR for error messages

        * DAnCE/NodeManager/CIAO_Monitor.cpp:
          Const changes, use more ACE and little cleanup

        * DAnCE/NodeManager/CIAO_Monitor.h:
          Doxygen improvement

        * DAnCE/NodeManager/MonitorCB.cpp:
          Code layout changes

        * DAnCE/NodeManager/MonitorCB.h:
          Doxygen changes and added some todo's

        * DAnCE/NodeManager/MonitorController.cpp:
          Use bool and small improvements

        * DAnCE/NodeManager/Node_Manager.cpp:
          Use the correct value for the lenght of the buffer passed
          to hostname

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Small improvements and added some todo's

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
          Cleanup

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
          Made some debug lines dependent on a debug level

Tue Nov 28 16:11:32 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Package_Handlers/Package_Handlers.mpc
        * DAnCE/NodeManager/Monitor.mpc

          Fixes for link errors in OS X.

Tue Nov 28 11:45:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/ExecutorMappingGenerator.cpp:
          Updated because of idl file rename

Tue Nov 28 10:42:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/*:
        * *:
          Renamed a lot of idl files, if the file contains interfaces/types
          from the DAnCE spec, added Deployment_ as prefix, if they are
          containing CIAO specific interfaces, added CIAO_. This way we can
          more easily see if we have spec compliant IDL or not.

Tue Nov 28 09:50:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Home.idl:
        * ciao/CCM_Object.idl:
          Moved CCMHome again to its own file

        * ciao/Security.idl:
          CIAO uses an interface of the security service but we don't
          do a thing with it, so just define a local interface within
          CIAO and use that for the moment, saves 250Kb of footprint

        * ciao/CCM_Context.idl:
          Use the local security interface

        * ciao/ExectionManager.idl:
          Added todo

        * ciao/CCM_Core.idl:
          Added new file

Mon Nov 27 18:34:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/NodeApplicationManager.idl:
        * ciao/Deployment_ApplicationManager.idl:
          Moved ApplicationManager interface to its own file

        * ciao/CCM_Core.mpc:
          Added new file

        * ciao/DomainApplicationManager.idl:
        * ciao/TargetManager.idl:
          Updated includes

        * ciao/Target_Data.idl:
          Moved ResourceNotAvailable also to the new
          Deyloyment_ApplicationManger file

        * DAnCE/NodeManager/CIAO_Monitor.h:
          Removed include of memory, not portable and not used.
          Fixes bugzilla bug 2730. Thanks to Abdul for reporting
          this.

Mon Nov 27 15:41:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment_Core.idl:
        * ciao/Deployment_Container.idl:
        * ciao/Deployment_NodeApplication.idl:
          Moved types from Core to the other files and added remarks
          to all CIAO specific types

        * DAnCE/NodeApplicationManager/Containers_Info_Map.h:
        * DAnCE/NodeApplicationManager/ImplementationInfo.h:
          Updated includes because of the move above

Mon Nov 27 14:55:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
          Added new Deployment_DeploymentPlan

        * ciao/Deployment_Data.idl
        * ciao/Deployment_DeploymentPlan.idl:
          Moved types related to DeploymentPlan to their own file

        * ciao/Deployment_Data.idl
          Removed RequirementSatisfier, it is superfluous.

        * ciao/Deployment.idl:
          No need to include Deployment_Data

        * ciao/Target_Data.idl:
          Removed not needed include

        * ciao/Deployment_Connection.idl:
        * ciao/TargetManager.idl:
        * RACE/Output_Adapters/Interface/PlanEgress.idl:
        * RACE/Plan_Analyzer/Interface/PlanIngress.idl:
        * RACE/Planner_Manager/Interface/Planner_Manager_I.idl:
        * RACE/Planners/Interface/Planner_I.idl:
          Updated include because of move above

        * tools/Config_Handlers/DnC_Dump.{h,cpp}:
          Removed RequirementSatisfier

Mon Nov 27 14:11:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment.idl:
          Removed LastConfiguration, it is not used and has been zapped
          from the DAnCE spec

Mon Nov 27 14:04:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment_Core.idl:
        * ciao/Deployment_NodeApplication.idl:
          Moved ESInstallationInfo to NodeApplication file

        * ciao/Deployment.idl:
          LastConfiguration doesn't seem used, added a comment to that
          exception.

        * ciao/NodeApplicationManager.idl:
          Doxygen improvement

Mon Nov 27 13:23:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/NodeApplicationManager.idl:
          Doxygen improvement

        * ciao/Deployment_Core.idl:
          Removed InvalidLocation exception, not used and not in the DAnCE
          spec

Mon Nov 27 13:10:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment_Core.idl
        * ciao/Deployment_Container.idl
        * ciao/Deployment_NodeApplication.idl
          Moved some interfaces from Core to their own files

        * ciao/CCM_Core.mpc:
          Updated because of split above and added some more flags to
          reduce the amount of generated files

        * ciao/DomainApplicationManager.idl:
        * ciao/NodeApplication_CallBack.idl
          Updated include

        * DAnCE/NodeApplication/Container_Impl.h:
        * DAnCENodeApplication/NodeApplication_Impl.h:
        * DAnCEtests/NodeApplicationTest/NodeApp_test_client.cpp:
        * DAnCEtests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp:
        * DAnCEtests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCEtests/NodeApplicationTest/NodeApp_test_client_simple.cpp:
          Updated includes because of refactoring above

Mon Nov 27 09:40:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
          Instead of the http files in this library, use the HTTP
          classes from the TAO lib

        * DAnCE/RepositoryManager/HTTP_Client.cpp
        * DAnCE/RepositoryManager/HTTP_Client.h
        * DAnCE/RepositoryManager/HTTP_Handler.cpp
        * DAnCE/RepositoryManager/HTTP_Handler.h
          Removed, not needed anymore, these files did move to the TAO
          lib to support http:// ior and we are reusing them now in
          CIAO

        * DAnCE/RepositoryManager/RepositoryManager.mpc
          Removed the files above

Mon Nov 27 09:36:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
          Instead of the http files in this library, use the HTTP
          classes from the TAO lib

        * DAnCE/NodeApplicationManager/URL_Parser.h:
          Doxygen improvements

        * DAnCE/NodeApplicationManager/HTTP_Client.cpp:
        * DAnCE/NodeApplicationManager/HTTP_Client.h:
        * DAnCE/NodeApplicationManager/HTTP_Handler.cpp:
        * DAnCE/NodeApplicationManager/HTTP_Handler.h:
          Removed, not needed anymore, these files did move to the TAO
          lib to support http:// ior and we are reusing them now in
          CIAO

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
          Removed the files above

Mon Nov 27 09:33:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Removed include of errno.h. It is not portable, but it seems
          it isn't needed at all. Thanks to Abdul for reporting this,
          this fixes bugzilla bug 2726.

Mon Nov 27 08:59:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/tutorials/Quoter:
          Extended this tutorial with more documentations. Thanks to
          Abdul for delivering these files. This fixes bugzilla 2717

Fri Nov 24 13:59:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp:
          Added check whether we got a valid NodeImplementationInfo back
          and not a nill pointer. Fixes bugzilla bug 2692 finally.
          Thanks to Abdul for pointing out the need for this check

Fri Nov 24 09:41:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * performance-tests/Benchmark/Multi_Threaded/Multi_Threaded.mpc:
          Don't build this project in ace_for_tao configuration

Thu Nov 23 12:34:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Home.idl:
        * ciao/CCM_Object.idl:
          Moved CCMHome again to its own file now the idl compiler has
          been fixed to handle this correctly

Wed Nov 22 20:39:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Dynamic_Component_Servant_Base.h:
          Removed the character c from the first line which drove the
          compilers really crazy

Wed Nov 22 19:31:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Home.idl:
        * ciao/CCM_Object.idl:
          Moved CCMHome to CCMObject, when these are in seperate files
          the generated code for components is not correct. We want to have
          these interfaces in seperate files but we can sort out this
          later.

Wed Nov 22 14:45:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Dynamic_Component_Servant_Base.h:
          Fixed pragme once warning

Wed Nov 22 11:05:12 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Base.idl
        * ciao/CCM_CCM2Context.idl
        * ciao/CCM_CCMException.idl
        * ciao/CCM_Component.idl
        * ciao/CCM_Configurator.idl
        * ciao/CCM_Container.idl
        * ciao/CCM_Container_Ex.idl
        * ciao/CCM_Context.idl
        * ciao/CCM_Cookie.idl
        * ciao/CCM_Core.mpc
        * ciao/CCM_EnterpriseComponent.idl
        * ciao/CCM_EntityComponent.idl
        * ciao/CCM_EntityContext.idl
        * ciao/CCM_Enumeration.idl
        * ciao/CCM_Event.idl
        * ciao/CCM_Home.idl
        * ciao/CCM_HomeConfigurator.idl
        * ciao/CCM_HomeExecutorBase.idl
        * ciao/CCM_HomeFinder.idl
        * ciao/CCM_HomeRegistration.idl
        * ciao/CCM_KeylessCCMHome.idl
        * ciao/CCM_Navigation.idl
        * ciao/CCM_Object.idl
        * ciao/CCM_ProxyHomeRegistration.idl
        * ciao/CCM_Receptacle.idl
        * ciao/CCM_Session2Context.idl
        * ciao/CCM_SessionSynchronization.idl
        * ciao/CCM_StandardConfigurator.idl
        * ciao/Client_init.cpp
        * ciao/Components.idl
        * ciao/Cookies.h
        * ciao/CosPersistentState.idl
        * ciao/Deployment.idl
        * ciao/Deployment_Application.idl
        * ciao/Deployment_Base.idl
        * ciao/Deployment_Connection.idl
        * ciao/Deployment_Core.idl
        * ciao/Deployment_Data.idl
        * ciao/Deployment_TargetData.idl
        * ciao/DomainApplicationManager.idl
        * ciao/Home_Servant_Impl_Base.h
        * ciao/NodeApplicationManager.idl
        * ciao/NodeManager.idl
        * ciao/Servant_Impl_Base.h
        * ciao/Servant_Impl_T.cpp
        * ciao/Server_init.cpp
        * ciao/StandardConfigurator_Impl.h
        * ciao/SwapExec.idl
        * ciao/Swapping_Servant_Home_Impl_Base.h
        * ciao/Target_Data.idl
        * ciao/TargetManager.idl
        * ciao/UpgradeableContext.idl
          Splitted the huge idl files into smaller parts. The CCM files are almost done,
          the Deployment files do need some more iterations to get smaller files that
          contain an interface with the types they need. This way the linker can optimize
          objects out during a static compilation

        * ciao/CIAO_Value.idl:
        * ciao/Container_Base.pidl:
          Removed, not used at all

        * ciao/ComponentsC.h:
        * ciao/ComponentsS.h:
          Removed, will be generated by tao_idl

        * DAnCE/Interfaces/NodeManagerDaemon.idl
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/TargetManager/CmpClient.cpp
        * DAnCE/TargetManager/DomainDataManager.h
        * DAnCE/TargetManager/DomainEvents.idl
        * DAnCE/TargetManager/TargetManager.cidl
        * DAnCE/TargetManager/TargetManager.mpc
        * tools/Config_Handlers/DD_Handler.cpp
        * tools/Config_Handlers/DnC_Dump.h
        * examples/Hello/Sender/starter.cpp
          Updated because of rename above

        * DAnCE/TargetManager/TargetManager.idl:
          Renamed to TargetManagerImpl.idl, this is the interface
          it contains.

        * DAnCE/NodeApplication/Container_Impl.cpp
        * DAnCE/NodeApplication/Container_Impl.h
          Removed get_homes(), it is not in the base idl

        * examples/Display/Display_Base/Display_Base.mpc
        * examples/Display/GPS/GPS.mpc
        * examples/Display/NavDisplay/NavDisplay.mpc
        * examples/Display/RateGen/RateGen.mpc
        * RACE/common/RACE_common.mpc
        * RACE/Input_Adapters/Base/Input_Adapter.mpc
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.mpc
        * RACE/Output_Adapters/Base/Output_Adapter.mpc
        * RACE/Output_Adapters/Interface/Output_Adapter_Interface.mpc
        * RACE/Plan_Analyzer/Component/Plan_Analyzer.mpc
        * RACE/Plan_Analyzer/Interface/Plan_Analyzer_Interface.mpc
        * RACE/Planner_Manager/Component/Planner_Manager.mpc
        * RACE/Planner_Manager/Interface/Planner_Manager_Interface.mpc
        * RACE/Planners/Base/Planner.mpc
        * RACE/Planners/Interface/Planner_Interface.mpc
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.mpc
        * tests/IDL3/ImpliedIDL/All/all.mpc
        * tests/IDL3/Lookup/lookup_test.mpc
        * tests/Minimum/Minimum_Base/Minimum.mpc
        * tests/Minimum/Receiver/Receiver.mpc
        * tests/Minimum/Sender/Sender.mpc
          Simplified these mpc files, the -GT option is not added by
          orbsvcslib anymore and -Sc is deprecated

        * tests/IDL3/Events/Any/main.cpp:
        * tests/IDL3/Events/Any/README:
        * tests/IDL3/Events/Any/run_test.pl:
          Updated this test to reproduce a problem with valuetype
          insertion into an any. This test will now fail until
          Jeff Parsons commits some idl compiler changes

Mon Nov 20 08:16:34 2006  Simon McQueen  <sm@prismtech.com>

        * CIAO version 0.5.4 released.

Local Variables:
mode: change-log
add-log-time-format: (lambda () (progn (setq tz (getenv "TZ")) (set-time-zone-rule "UTC") (setq time (format-time-string "%a %b %e %H:%M:%S %Z %Y" (current-time))) (set-time-zone-rule tz) time))
indent-tabs-mode: nil
End:

